Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push.impl
Class TopicImpl

    java.lang.Object
      org.richfaces.application.push.impl.AbstractTopic
          org.richfaces.application.push.impl.TopicImpl

All Implemented Interfaces:
  org.richfaces.application.push.Topic

    public class TopicImpl

extends AbstractTopic

Author:
  Nick Belaevski

Constructor Summary
`TopicImpl(org.richfaces.application.push.TopicKey key, TopicsContextImpl topicsContext)`

Method Summary
`void` | `publish(org.richfaces.application.push.TopicKey key, java.lang.Object messageData)`
`void` | `publishEvent(org.richfaces.application.push.TopicEvent event)`

Methods inherited from class org.richfaces.application.push.impl.AbstractTopic
`addTopicListener, checkSubscription, getKey, getMessageDataSerializer, isAllowSubtopics, removeTopicListener, setAllowSubtopics, setMessageDataSerializer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopicImpl

    public TopicImpl(org.richfaces.application.push.TopicKey key,
                     TopicsContextImpl topicsContext)

Method Detail

### publish

    public void publish(org.richfaces.application.push.TopicKey key,
                        java.lang.Object messageData)
                 throws org.richfaces.application.push.MessageException

  Specified by:
    `publish` in interface `org.richfaces.application.push.Topic`
  Specified by:
    `publish` in class `AbstractTopic`
  Throws:
    `org.richfaces.application.push.MessageException`

### publishEvent

    public void publishEvent(org.richfaces.application.push.TopicEvent event)

  Specified by:
    `publishEvent` in interface `org.richfaces.application.push.Topic`
  Overrides:
    `publishEvent` in class `AbstractTopic`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.